<!-- Definition of metrics that are generic to Queues and Topics.
  -  This file is used in conjunction with fuse-messaging-services.xml
  -  and is designed to be included in an application plugin.xml file
  -  **before fuse-messaging-services.xml is included**.
  -->

<!-- both Queues and Topics are destinations -->
<metrics name="destination">
  <metric name="Availability" indicator="true"/>
  <metric name="Enqueue Count" indicator="true" collectionType="trendsup"/>
  <metric name="Dequeue Count" indicator="true" collectionType="trendsup"/>
  <metric name="Consumer Count" indicator="true" /> 
  <metric name="Queue Size" indicator="true"/> 
  <metric name="Memory Percent Usage" indicator="true" units="percentage"/>
</metrics>

<config name="destination">
  <option name="BrokerName" description="Broker Name" default=""/>
  <option name="Destination" description="Destination" default=""/>
</config>
